<template>
  <button @click="copyText">Копировать текст</button>
</template>

<script>
export default {
  name: "CopyText",
  setup () {
    function copyText() {
      // Получаем текст элемента по его id
      const textToCopy = document.getElementById('elementToCopy').innerText;

      // Создаем временный textarea для копирования текста
      const textarea = document.createElement('textarea');
      textarea.value = textToCopy; // Устанавливаем текст в textarea

      // Добавляем textarea на страницу
      document.body.appendChild(textarea);

      // Выделяем весь текст в textarea
      textarea.select();

      try {
        // Копируем текст в буфер обмена
        document.execCommand('copy');
        console.log('Текст скопирован в буфер обмена');
      } catch (err) {
        console.error('Не удалось скопировать текст: ', err);
      }

      // Удаляем временный textarea
      document.body.removeChild(textarea);
    }
    return {
      copyText
    }
  }
}
</script>

<style scoped>
</style>